Skip to main content
PATCH
/
api
/
v1
/
cvms
/
{cvm_id}
/
network-config
Update KMS/Gateway URLs
curl --request PATCH \
  --url https://cloud-api.phala.com/api/v1/cvms/{cvm_id}/network-config \
  --header 'Content-Type: application/json' \
  --data '
{
  "kms_urls": [
    "<string>"
  ],
  "gateway_urls": [
    "<string>"
  ],
  "restart": false
}
'
{
  "kms_urls": [
    "<string>"
  ],
  "gateway_urls": [
    "<string>"
  ],
  "ports": [
    {
      "host_port": 32768,
      "vm_port": 32768,
      "protocol": "tcp",
      "host_address": ""
    }
  ]
}

Path Parameters

cvm_id
string
required

Body

application/json

Partial update for KMS/Gateway URLs. Only set fields are applied.

kms_urls
string[] | null
gateway_urls
string[] | null
restart
boolean
default:false

Restart the CVM after applying changes to reload configuration.

Response

Updated network configuration

Real-time network configuration from VMM.

kms_urls
string[]
gateway_urls
string[]
ports
NetworkConfigPortMappingEntry · object[]